#ifndef _SIMPLE_MLR_H_
#define _SIMPLE_MLR_H_

#include <lbfgsinterface.h>
#include <lbfgssolver.h>
#include <data.h>

struct simpleMLR : public LBFGSinterface { 
  
  Data * dataptr;
  int K , P , * labels, bias;
  double lambda;
  double *w;

  double fg ( const double * , double * , int );
  void writeBinary ( const char * );
  void writeBinaryFolder ( const char * );
  void readBinary ( const char * );
  

  simpleMLR ( Data *  , double  , int );
  simpleMLR ( const char *fname );
  ~simpleMLR ();
};

#endif
