#ifndef _LBFGS_SOLVER_H_
#define _LBFGS_SOLVER_H_

#include <lbfgs.h>
#include <lbfgsinterface.h>

struct LBFGSsolver { 
  lbfgs_parameter_t param;
  int n, ret;
  double f;

  LBFGSsolver ( double * x , int n , LBFGSinterface* interface , double eps = 1e-4 );

  double objective() { return f;}
  int    nvars() { return n;}
};


#endif
