#ifndef _SIMPLE_BLR_H_
#define _SIMPLE_BLR_H_

#include <data.h>
#include <lbfgsinterface.h>

struct simpleBLR : public LBFGSinterface { 
  
  Data * dataptr;
  int label , P , bias;
  double lambda;
  double *w;

  double fg ( const double * , double * , int );
  void writeBinary ( const char * );
  void readBinary ( const char * );
  double classify ( const Doc * doc );
  double solve ( int _label , double eps );

  simpleBLR ( Data *  , double , int bias = 0  );
  simpleBLR ( const char *fname );
  ~simpleBLR ();
};

#endif
