#ifndef _SIMPLE_DCD_H_
#define _SIMPLE_DCD_H_

#include <data.h>

struct simpleDCD { 
  
  Data * dataptr;
  int label , P , bias;
  double lambda;
  double *w;

  void writeBinary ( const char * );
  void readBinary ( const char * );
  double classify ( const Doc * doc );
  double solve ( int _label , double eps );

  simpleDCD ( Data *  , double , int bias = 0  );
  simpleDCD ( const char *fname );
  ~simpleDCD ();
};

#endif
